Bug 65010 - Fix for sys32_munmap page alignment
Fix for sys32_munmap page alignment
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-15 18:22 EDT by Jenna Hall
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-29 18:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bug fix in sys32_munmap page alignment (432 bytes, patch)
2002-05-15 18:23 EDT, Jenna Hall
no flags Details | Diff

  None (edit)
Description Jenna Hall 2002-05-15 18:22:03 EDT
Description of Problem:
This is a bug fix in sys32_munmap page alignment.  It affects seamless 
applications which malloc and free (16K unaligned addresses) rigorously.  
Inclusion in base pending.

Version-Release number of selected component (if applicable):
Red Hat 7.2 Itanium release, kernel 2.4.9-18

How Reproducible:
Intel validation lab seamless application stress testing.

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Kernel patch attached.
Comment 1 Jenna Hall 2002-05-15 18:23:21 EDT
Created attachment 57484 [details]
bug fix in sys32_munmap page alignment
Comment 2 Jenna Hall 2002-05-29 18:46:27 EDT
Apparently this patch breaks the WINE application.  Don Dugger is currently 
working the issue.  Due to this, this patch may not be accepted into the base 
kernel.  Stay tuned.

Note You need to log in before you can comment on or make changes to this bug.